[arch-commits] Commit in valgrind/repos/extra-x86_64 (4 files)

Levente Polyak anthraxx at archlinux.org
Wed Jul 22 20:19:47 UTC 2020


    Date: Wednesday, July 22, 2020 @ 20:19:47
  Author: anthraxx
Revision: 392379

archrelease: copy trunk to extra-x86_64

Added:
  valgrind/repos/extra-x86_64/PKGBUILD
    (from rev 392378, valgrind/trunk/PKGBUILD)
  valgrind/repos/extra-x86_64/valgrind-3.7.0-respect-flags.patch
    (from rev 392378, valgrind/trunk/valgrind-3.7.0-respect-flags.patch)
Deleted:
  valgrind/repos/extra-x86_64/PKGBUILD
  valgrind/repos/extra-x86_64/valgrind-3.7.0-respect-flags.patch

------------------------------------+
 PKGBUILD                           |  213 +++++++++++++++++------------------
 valgrind-3.7.0-respect-flags.patch |   26 ++--
 2 files changed, 119 insertions(+), 120 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-22 20:19:41 UTC (rev 392378)
+++ PKGBUILD	2020-07-22 20:19:47 UTC (rev 392379)
@@ -1,107 +0,0 @@
-# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
-# Contributor: Dan McGee <dan at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-
-pkgname=valgrind
-_commit=d772e25995c3400eecf2b6070e0bf3411447c3d1
-pkgver=3.15.0+269+gd772e2599
-pkgrel=1
-pkgdesc='Tool to help find memory-management problems in programs'
-arch=('x86_64')
-license=('GPL')
-url='http://valgrind.org/'
-depends=('glibc' 'perl')
-makedepends=('gdb' 'lib32-glibc' 'lib32-gcc-libs' 'git' 'docbook-xml'
-             'docbook-xsl' 'docbook-sgml')
-checkdepends=('procps-ng')
-optdepends=('lib32-glibc: 32-bit ABI support')
-provides=('valgrind-multilib')
-replaces=('valgrind-multilib')
-options=('!emptydirs' '!strip')
-source=("git+https://repo.or.cz/valgrind.git#commit=$_commit"
-        valgrind-3.7.0-respect-flags.patch)
-md5sums=('SKIP'
-         '470d9881870aacc210b7a6efb64cc9a9')
-sha512sums=('SKIP'
-            'e0cec39381cefeca09ae4794cca309dfac7c8693e6315e137e64f5c33684598726d41cfbb4edf764fe985503b13ff596184ca5fc32b159d500ec092e4cf8838c')
-
-pkgver() {
-  cd valgrind
-  git describe --tags --always|sed -e 's|-|+|g' -e 's|VALGRIND_||g' -e 's|_|.|g'
-}
-
-prepare() {
-  cd valgrind
-  patch -Np1 < ../valgrind-3.7.0-respect-flags.patch
-  sed -i 's|sgml/docbook/xsl-stylesheets|xml/docbook/xsl-stylesheets-1.79.2|' docs/Makefile.am
-
-  autoreconf -ifv
-}
-
-build() {
-  # valgrind does not like some of our flags
-  CPPFLAGS=${CPPFLAGS/-D_FORTIFY_SOURCE=2/}
-  CFLAGS=${CFLAGS/-fno-plt/}
-  CXXFLAGS=${CXXFLAGS/-fno-plt/}
-
-  cd valgrind
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --libexecdir=/usr/lib \
-    --mandir=/usr/share/man
-  make
-  make -C docs man-pages
-}
-
-check() {
-  cd valgrind
-
-  # Make sure a basic binary runs. There should be no errors.
-  ./vg-in-place --error-exitcode=1 /bin/true
-
-  # Make sure no extra FLAGS leak through, the testsuite
-  # sets all flags necessary. See also configure above.
-  make check CPPFLAGS= CFLAGS= CXXFLAGS= LDFLAGS=
-
-  # # XXX: run full regtest but only report issues some tests fail duo
-  # # current toolchain and expectations, take a manual look if its fine
-  # echo "===============TESTING==================="
-  # make regtest || :
-
-  # # Make sure test failures show up in build.log
-  # # Gather up the diffs (at most the first 20 lines for each one)
-  # local f max_lines=20 diff_files=()
-  # mapfile -d '' diff_files < <(find . -name '*.diff' -print0 | sort -z)
-  # if (( ${#diff_files[@]} == 0 )); then
-  #   echo "Congratulations, all tests passed!"
-  # else
-  #   warning "Some tests failed!"
-  #   for f in "${diff_files[@]}"; do
-  #       echo "================================================="
-  #       echo "${f}"
-  #       echo "================================================="
-  #       if (( $(wc -l < "${f}") < ${max_lines} )); then
-  #         cat "${f}"
-  #       else
-  #         head -n ${max_lines} "${f}"
-  #         echo "<truncated beyond ${max_lines} lines>"
-  #       fi
-  #   done | tee diffs
-  # fi
-  # echo "===============END TESTING==============="
-}
-
-package() {
-  cd valgrind
-  make DESTDIR="${pkgdir}" install
-
-  install -Dm644 docs/*.1 -t "$pkgdir/usr/share/man/man1"
-
-  if check_option 'debug' n; then
-    find "${pkgdir}/usr/bin" -type f -executable -exec strip $STRIP_BINARIES {} + || :
-  fi
-}
-
-# vim: ts=2 sw=2 et:

Copied: valgrind/repos/extra-x86_64/PKGBUILD (from rev 392378, valgrind/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-22 20:19:47 UTC (rev 392379)
@@ -0,0 +1,106 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Contributor: Dan McGee <dan at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+
+pkgname=valgrind
+pkgver=3.16.1
+pkgrel=1
+pkgdesc='Tool to help find memory-management problems in programs'
+arch=('x86_64')
+license=('GPL')
+url='http://valgrind.org/'
+depends=('glibc' 'perl')
+makedepends=('gdb' 'lib32-glibc' 'lib32-gcc-libs' 'docbook-xml'
+             'docbook-xsl' 'docbook-sgml')
+checkdepends=('procps-ng')
+optdepends=('lib32-glibc: 32-bit ABI support')
+provides=('valgrind-multilib')
+replaces=('valgrind-multilib')
+options=('!emptydirs' '!strip')
+source=(https://sourceware.org/pub/valgrind/valgrind-${pkgver}.tar.bz2{,.asc}
+        valgrind-3.7.0-respect-flags.patch)
+validpgpkeys=(
+  0E9FFD0C16A1856CF9C7C690BA0166E698FA6035 # Julian Seward <jseward at acm.org>
+)
+sha512sums=('2a4173efe1b6facdd2f5c5ee8ed006704168eba1813736fccc8191d60363afd96197512cf42037e65f18d4ddd49adc74a54c47210df216fba3c46bf68ef0f950'
+            'SKIP'
+            'e0cec39381cefeca09ae4794cca309dfac7c8693e6315e137e64f5c33684598726d41cfbb4edf764fe985503b13ff596184ca5fc32b159d500ec092e4cf8838c')
+b2sums=('1c333c26827f7a8356869e8758da9dd6a7444642ac4f6377c84fdab8349b9cee1e9bf2cf2eb86043c4feffab342dd97da20e76d7566d0296189e6ea8483a8c65'
+        'SKIP'
+        'af556fdf3c02e37892bfe9afebc954cf2f1b2fa9b75c1caacfa9f3b456ebc02bf078475f9ee30079b3af5d150d41415a947c3d04235c1ea8412cf92b959c484a')
+
+prepare() {
+  cd valgrind-${pkgver}
+  patch -Np1 < ../valgrind-3.7.0-respect-flags.patch
+  sed -i 's|sgml/docbook/xsl-stylesheets|xml/docbook/xsl-stylesheets-1.79.2|' docs/Makefile.am
+
+  autoreconf -ifv
+}
+
+build() {
+  # valgrind does not like some of our flags
+  CPPFLAGS=${CPPFLAGS/-D_FORTIFY_SOURCE=2/}
+  CFLAGS=${CFLAGS/-fno-plt/}
+  CXXFLAGS=${CXXFLAGS/-fno-plt/}
+
+  cd valgrind-${pkgver}
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/usr/lib \
+    --mandir=/usr/share/man
+  make
+  make -C docs man-pages
+}
+
+check() {
+  cd valgrind-${pkgver}
+
+  # Make sure a basic binary runs. There should be no errors.
+  ./vg-in-place --error-exitcode=1 /bin/true
+
+  # Make sure no extra FLAGS leak through, the testsuite
+  # sets all flags necessary. See also configure above.
+  make check CPPFLAGS= CFLAGS= CXXFLAGS= LDFLAGS=
+
+  # XXX: run full regtest but only report issues some tests fail duo
+  # current toolchain and expectations, take a manual look if its fine
+  #echo "===============TESTING==================="
+  #make regtest || true
+
+  # Make sure test failures show up in build.log
+  # Gather up the diffs (at most the first 20 lines for each one)
+  #local f max_lines=20 diff_files=()
+  #mapfile -d '' diff_files < <(find . -name '*.diff' -print0 | sort -z)
+  #if (( ${#diff_files[@]} == 0 )); then
+    #echo "Congratulations, all tests passed!"
+  #else
+    #warning "Some tests failed!"
+    #for f in "${diff_files[@]}"; do
+        #echo "================================================="
+        #echo "${f}"
+        #echo "================================================="
+        #if (( $(wc -l < "${f}") < ${max_lines} )); then
+          #cat "${f}"
+        #else
+          #head -n ${max_lines} "${f}"
+          #echo "<truncated beyond ${max_lines} lines>"
+        #fi
+    #done | tee diffs
+  #fi
+  #echo "===============END TESTING==============="
+}
+
+package() {
+  cd valgrind-${pkgver}
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 docs/*.1 -t "$pkgdir/usr/share/man/man1"
+
+  if check_option 'debug' n; then
+    find "${pkgdir}/usr/bin" -type f -executable -exec strip $STRIP_BINARIES {} + || :
+  fi
+}
+
+# vim: ts=2 sw=2 et:

Deleted: valgrind-3.7.0-respect-flags.patch
===================================================================
--- valgrind-3.7.0-respect-flags.patch	2020-07-22 20:19:41 UTC (rev 392378)
+++ valgrind-3.7.0-respect-flags.patch	2020-07-22 20:19:47 UTC (rev 392379)
@@ -1,13 +0,0 @@
-diff -Naur valgrind-3.7.0.orig//mpi/Makefile.am valgrind-3.7.0/mpi/Makefile.am
---- valgrind-3.7.0.orig/mpi/Makefile.am	2011-10-26 17:24:23.000000000 -0400
-+++ valgrind-3.7.0/mpi/Makefile.am	2011-11-10 16:03:14.000000000 -0500
-@@ -7,9 +7,6 @@
- CC = $(MPI_CC)
- DEFS =
- DEFAULT_INCLUDES =
--CPPFLAGS =
--CFLAGS =
--LDFLAGS =
- 
- EXTRA_DIST = \
- 	mpiwrap_type_test.c

Copied: valgrind/repos/extra-x86_64/valgrind-3.7.0-respect-flags.patch (from rev 392378, valgrind/trunk/valgrind-3.7.0-respect-flags.patch)
===================================================================
--- valgrind-3.7.0-respect-flags.patch	                        (rev 0)
+++ valgrind-3.7.0-respect-flags.patch	2020-07-22 20:19:47 UTC (rev 392379)
@@ -0,0 +1,13 @@
+diff -Naur valgrind-3.7.0.orig//mpi/Makefile.am valgrind-3.7.0/mpi/Makefile.am
+--- valgrind-3.7.0.orig/mpi/Makefile.am	2011-10-26 17:24:23.000000000 -0400
++++ valgrind-3.7.0/mpi/Makefile.am	2011-11-10 16:03:14.000000000 -0500
+@@ -7,9 +7,6 @@
+ CC = $(MPI_CC)
+ DEFS =
+ DEFAULT_INCLUDES =
+-CPPFLAGS =
+-CFLAGS =
+-LDFLAGS =
+ 
+ EXTRA_DIST = \
+ 	mpiwrap_type_test.c


More information about the arch-commits mailing list